import React from 'react';
import classnames from 'classnames';

class Button extends React.Component {
	render() {
		const {post, attributes} = this.props;

		return (
			<div className={classnames('flo-block-post-cards__button')}>
				<a
					className={classnames(
						'flo-generic-button',
						'flo-generic-button--' + attributes.buttonColorScheme
					)}
					href={post.link}
					rel="noopener noreferrer"
				>
					{attributes.buttonLabel}
				</a>
			</div>
		);
	}
}

export default Button;
